<?xml version="1.0" encoding="utf-8"?>
<com.qmuiteam.qmui.widget.QMUIWindowInsetLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:background="@color/white"
    android:fitsSystemWindows="true">


    <RelativeLayout
        android:layout_marginTop="54dp"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/main_background" >
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:orientation="horizontal">
            <LinearLayout
                android:layout_width="200dp"
                android:layout_height="match_parent"
                android:orientation="vertical"
                android:background="@color/white">
                <RelativeLayout
                    android:layout_marginTop="10dp"
                    android:layout_marginBottom="10dp"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <Button
                        android:id="@+id/add_fl"
                        android:layout_width="160dp"
                        android:layout_height="45dp"
                        android:layout_centerInParent="true"
                        android:layout_marginLeft="20dp"
                        android:background="@drawable/bg_btn_login_selected"
                        android:text="+新建分类"
                        android:textColor="@color/white"
                        android:textSize="20dp" />
                </RelativeLayout>

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/rv_left"
                    android:layout_width="match_parent"
                    app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
                    android:layout_height="match_parent"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">
                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">
                    <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="10dp"
                        android:layout_centerVertical="true"
                        android:textColor="@color/amber_primary_dark"
                        android:text="(温馨提示:点击商品查看或新建配方.)"
                        android:textSize="12dp" />

                    <Button
                        android:id="@+id/add_sp"
                        android:layout_width="100dp"
                        android:layout_height="45dp"
                        android:layout_alignParentRight="true"
                        android:layout_centerInParent="true"
                        android:layout_marginLeft="@dimen/dp_10"
                        android:layout_marginTop="10dp"
                        android:layout_marginRight="20dp"
                        android:layout_marginBottom="10dp"
                        android:background="@drawable/bg_btn_login_selected"
                        android:text="+新建商品"
                        android:textColor="@color/white"
                        android:textSize="20dp" />
                </RelativeLayout>

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginBottom="20dp"
                    app:layout_constraintLeft_toRightOf="@+id/rv_left"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="parent">
                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/rv_right"
                        android:layout_width="match_parent"
                        android:orientation="vertical"
                        app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
                        android:layout_height="match_parent"/>

                    <!-- 增加商品 -->
                    <com.bonait.bnframework.modules.home.fragment.mode.add_good_control
                        android:id="@+id/add_good"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:visibility="gone"/>

                    <com.bonait.bnframework.modules.home.fragment.mode.add_pf_home_control
                        android:id="@+id/add_pf_home"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:visibility="gone"/>

                    <com.bonait.bnframework.modules.home.fragment.mode.add_pf_control
                        android:id="@+id/add_pf"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:visibility="gone"/>
                </RelativeLayout>
            </LinearLayout>


        </LinearLayout>
    </RelativeLayout>

    <com.qmuiteam.qmui.widget.QMUITopBarLayout
        android:id="@+id/topbar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/app_color_blue"/>
</com.qmuiteam.qmui.widget.QMUIWindowInsetLayout>